0.141
-----


MAMETesters Bugs Fixed
----------------------
- 04161: [Crash/Freeze] nibbler and clones: Mame crashes after pressing 
         OK (Aaron Giles)
- 00859: [Color/Palette] blandia, blandiap: Tilemap colors issue. 
         (Pierpaolo Prazzoli)
- 00860: [Color/Palette] blandia, blandiap: Incorrect colors 
         (Pierpaolo Prazzoli)
- 04120: [Misc.] SDLMAME for Windows does not work unless you use 
         -window (couriersud)
- 04156: [Crash/Freeze] cabal, cabala, cabalbl2, cabalus, cabalus2, 
         tharrier, tharrierj: memory_set_bank called for unknown bank 
         'bank1' (hap)
- 04153: [Misc.] hydrthnd: SHA1 of CHD reported incorrectly. 
         (David Haywood)
- 03916: [Graphics] arabian: Missing bird at top of the screen. 
         (Phil Bennett)



Source Changes
--------------
Redumped sprite roms in X Se Dae Quiz [Guru]

Added preliminary (disabled by default) discrete sound emulation to
Dai San Wakusei Meteor [Derrick Renaud, Andy Welburn]

Added DMA slots to Legionnaire HW, fixes Godzilla regression
[Angelo Salese]

Fixed Bullet key back to what we dumped from original PCB.
[Aaron Giles]

Improved sprite GFX ROM order in Godzilla [Angelo Salese]

AY-3-8910 unused bits in registers read back as 0 [hap]

Fixed Seibu logo tilemap colors in Seibu Cup Soccer [Angelo Salese]

s3c24xx.c: Fixing compiling process on Linux and MacOSX [qmc2]

Assigned MB88xx interrupt sources unique vectors, as expected by the
Arabian MCU program [Phil Bennett]

Hooked up Arabian MB8841 MCU and removed obsolete simulation code
[Phil Bennett]

Adjusted ym2203 clock speed and added XTAL for goindol.c based on a
reference video recording.  [Tafoid, Rogerio]

Rewrote ics2115 sound core using modern device standards, improving
audio in Oriental Legend, Killing Blade and other PGM titles in the
process.  [austere, nimitz, trap15]

Implemented pdrawgfx for sprite routines in Legionnaire HW, and added
wraparound for horizontal area smaller than 320, fixing left-border
sprites in Legionnaire and Heated Barrel [David Haywood]

Implemented a preliminary sort-DMA in Seibu COP routines, fixes
sprite-sprite priorities in Seibu Cup Soccer [Angelo Salese]

z80dart.c: [Wilbert Pol]
 * The channel B modified interrupt vector can be read immediately
    after setting it.
 * Reading from a read register other than 0 also masks out the
    register index.

Fixed RAM fill in Seibu DMA COP command 0x116, allowing Godzilla to
boot [Angelo Salese]

Neo-Geo updates [Johnboy]:
 * burningfh - Renamed p1 to hp1
 * gowcaizr - Added correct C8 ROM
 * 8man - Tagged MVS and AES version
 * jockeygpa - Added alternate jockeygp set
 * mslug5h - Corrected chip labels

Hooked up cocktail mode and proper controls for both players in Maze
Invaders, adding button labels to describe the action of each. 
[sxevious, Tafoid]

Fixed LDM opcode register writeback in ARM CPU core [Tim Schuerewegen]

General stability issues with 64-bit builds fixed for cybertnk.c 
[David Haywood]

Implemented palette DMA brightness algorythm mode 5 in Seibu COP
games, used by Seibu Cup Soccer, Godzilla, SD Gundam Rainbow Tairiku
Senki and Legionnaire for fading effects [Angelo Salese]

hvyunit.c: Hooked up Mermaid protection MCU and removed obsolete
simulation code. Also updated the driver to use a state class.
[Phil Bennett, Dr. Decapitator, Andrew Gardner]

Implemented preliminary road emulation in Cyber Tank [David Haywood]

Renamed ilpag.c as blitz68k.c and added several games to the driver
[Luca Elia]

sdlmame now also looks for fonts in "-fontpath". In addition, moved
font config stuff into function search_font_config. This is in
preparation to add ttf support to windows sdlmame build. [couriersud]

Fixed an ARM CPU core bug with pre-indexed addressing opcodes, that
was preventing Poizone to boot [Tim Schuerewegen]

Fix most-likely-to-fail SDL_TTF version check. Added a warning if
strikethrough is specified but not supported. [Couriersud]

Reimplemented scatter-gather Sprite DMA in Seibu COP used by SD Gundam
Rainbow Tairiku Senki, also improving the functionality in it.
[Angelo Salese]

Greatly improved inputs and dip switches for ertictac.c  [Tafoid]

Fixed playfield color issues in Seibu Cup Soccer [David Haywood]

Fixed *BSD compilation for SDLMAME. [ElBarto]

Fixed sfx in Chouji Meikyuu Legion [Tomasz Slanina]

Implemented preliminary Seibu COP macro command 0xdde5, used by Seibu
Cup Soccer x/y radar positions [Angelo Salese]

Implemented ROM banking support in Raiden 2 HW, improving Raiden 2 and
Zero Team behaviour [O.Galibert]

plygonet.c : Fixed save state & device handler regressions. 
[Andrew Gardner]

Golden Poker driver: Added new sets, and some notes about ipc-1
daughterboard encryption [Roberto Fresca]

Preliminary simulation of text layer protection in Chouji Meikyuu
Legion [Tomasz Slanina]

Further ICS2115 work [austere, nimitz, trap15]

mpu4drvr.c: Account for the 45 degree trackball mounting
[James Wallace]

Adds the recent 87C52 MCU decaps to Wonder League Star and Wonder
League '96 [Dr. Decapitator]

superchs.c - Moved Button 6 assignment to a DIP selection which is
more appropriate for "Freeze Screen" behavior and added some missing
port names.  [Tafoid]

Updated the RSP and RDP implementations to be largely bit-perfect and
pixel-accurate. [angrylion, Harmony]

Fixed alpha compare in the N64 RDP implementation. [Harmony]

More Golden Poker driver cleanup. Added more references and
reorganized some parent-clone relationship. Added some new sets.
[Roberto Fresca]

Implemented Seibu COP macro 0x905, used for ark movements in
Legionnaire / Zero Team when a knock down occurs [Angelo Salese]

ARM7+ updates: [Tim Schuerewegen]
 * Enhanced MMU with page fault support
 * Preliminary 26-bit mode support
 * Fixed bugs with S-flag operations on R15
 * Fixed STRH involving R15
 * Support for ARM models 7500 and 920T.

Add directxor parameter to direct memory accessors. Update all callers
that manually XORed addresses to pass the XOR instead. This improves 
behavior when direct accessors hit non-RAM regions, or when watchpoints 
are used, because we now know the original, un-xored address and can 
fall back to standard read/write handlers properly. Also fixes 
glitched disassembly when read watchpoints are enabled. [Aaron Giles]

s3c24xx: some improvements and fixes [Tim Schuerewegen]

Removed public decodechar function. [Aaron Giles]

Fixed writes in the MIPS III interpreter. [MooglyGuy]

Some bulk naming cleanups across the whole source base: [Aaron Giles]
 1. MDRV_* -> MCFG_*
 2. running_device -> device_t
 3. mame_rand() -> machine->rand()
 4. memory_region() -> machine->region()->base()
 5. memory_region_length() -> machine->region()->bytes()
 6. region_info -> memory_region



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Heavy Unit [Phil Bennett, Dr. Decapitator, Andrew Gardner]
Poizone [Tim Schuerewegen]
Silver Game [Roberto Fresca, Team Europe & HAL9K]
Jack Potten's Poker (NGold) (3 sets) [Roberto Fresca, Darran]



New clones added
----------------
Multi Champ Deluxe (ver. 1114, 14/11/1999) [caius] (not working)
Gran Tesoro? / Play 2000 (v4.0) (Italy)
  [Corrado Tomaselli] (not working)
Raiden (US, set 2)  [Smitdogg, The Dumping Union]
Golden Tee Golf (Trackball, v2.0)  [Smitdogg, The Dumping Union]
Relief Pitcher (set 2, 26 Apr 1992 / 08 Apr 1992) 
  [Smitdogg, The Dumping Union]
G.I. Joe (World, EB8, prototype?) [caius]
Space Firebird (2 sets) [Andrew Welburn]



New games marked as GAME_NOT_WORKING
------------------------------------
Bank Robbery (Ver. 2.00)
  [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
Bank Robbery (Ver. 3.32)
  [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
Deuces Wild 2 - American Heritage (Ver. 2.02F)
  [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
Maxi Double Poker (Ver. 1.10)
  [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
Mega Double Poker (Ver. 1.63 Espagnol)
  [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
Mega Double Poker Jackpot (Ver. 1.26)
  [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
Poker 52 (Ver. 1.2) [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
The Hermit (Ver. 1.14)
  [ChrisQC, Smitdogg, Luca Elia, The Dumping Union]
Mambo A Go-Go (GQA40 VER. JAB)
  [Kevin Eshbach, Tormod, gatt9, Smitdogg, The Dumping Union, smf]
"Unknown french poker game" [Roberto Fresca, Team Europe & HAL9K]
"Unknown encrypted poker game" [Roberto Fresca, Team Europe & HAL9K]



0.140u3
-------


MAMETesters Bugs Fixed
----------------------
- 03791: [Sound] pandoras: Missing elements in emulated audio 
         (Phil Bennett)
- 04074: [Crash/Freeze] raidndxa2: Segmentation Fault after OK 
         (Angelo Salese)
- 04073: [Crash/Freeze] nzerotea: Segmentation Fault after OK 
         (Angelo Salese)
- 04150: [Documentation] shrike: Year is 1986. (Tafoid)
- 04142: [Interface] Multiple escapes keypresses needed to exit MAME 
         (Miodrag Milanovic)
- 03467: [Graphics] firebarr: Extensive issues with Tilemaps/Sprites 
         (Angelo Salese)
- 03723: [Gameplay] schaser: Screen is upsidedown (hap)
- 04144: [DIP/Input] mazeinv: Incorrect amount of buttons (Tafoid)
- 04051: [Sound] hunchbks: No sound (hap)
- 04126: [Sound] minefld, rescue, aponow: Sound is missing (hap)
- 04145: [Documentation] strtheat: Game name description. (M.A.S.H.)
- 04137: [Color/Palette] rpatrol, rpatrolb: Wrong sprite colors. 
         (M.A.S.H.)
- 04103: [Save/Restore] pesadelo: Complete graphic breakage on save (hap)
- 02942: [Crash/Freeze] wpksoc: Freeze after the "Recycle" screen 
         (Angelo Salese)
- 04121: [Debugger] Debugger cannot set 8bit registers with 'do' command 
         (Robbbert)
- 04130: [Debugger] Debugger print command does not behave as per the 
         help (Robbbert)
- 04131: [Debugger] Debugger symlist command crashes MAME (Robbbert)



Source Changes
--------------
Adjust MC6850 receive/transmit timer periods when clocks are changed.
[Curt Coder]

Fixed (?) end of spritelist marker in PGM [David Haywood]

Assorted accuracy updates: [Corrado Tomaselli]
 * pacmania roms relabeled with the correct names.
 * chaknpop changed clocks to PCB verified levels.
 * tankbust changed clocks to PCB verified levels.
 * kyros clocks changed to match bootleg PCB.
 * mshuttlej (Japan - Set 1) sample rom MY06 should match US set.

Updates to Naomi/Naomi2 M2/M3 decryption. [Andreas Naive]

Add key for vf4cart [Andreas Naive]

Fixed debug command symlist (bug #4131) [Robbbert]

Hand tuned Z80 clock divider in Pastel Gal driver, needed to correct
galds sound sample pitch [Angelo Salese]

Added correct refresh rate for PGM games [Zakk]

Fixed service mode in Tatakae Big Fighter [Angelo Salese]

Removed ROM patches to Tatakae Big Fighter [Angelo Salese]

Added reset line trigger from main to sound CPU in Irem M107 driver,
fixing Fire Barrel sound [Angelo Salese]

Added a preliminary hook-up for an alternative rowscroll effect in
Irem M107 HW, noticeable in Fire Barrel stage 2 and 6 and World PK
Soccer goal scrolling [Angelo Salese]

Fixed regressed gameplay speed in Dream Soccer '94 (M107 version)
[Angelo Salese]

Added preliminary row select effect in Irem M107, fixes for good the
start-up transitioning in Fire Barrel [Angelo Salese, David Haywood]

Added Synertek SY6845E subtype to mc6845.c [Curt Coder]

Ported row select to every other tilemap in Irem M107 and fixed a bug
in it, gives correct stretching gfxs at the end of level 1 and at the
start of level 8 in Fire Barrel [Angelo Salese]

Fixed a title screen color bug in World PK Soccer [Angelo Salese]

forte2.c, pengadvb.c: fixed savestates [ShimaPong]

cb2001: fixed 2 opcodes [Roberto Zandona']

Fixed rowscroll effect in Fire Barrel  [David Haywood]

SDL: Clear and flip 3 times on resolution changes instead of twice,
required by some OpenGL drivers [Chris Kennedy]

Removed static variables in FM sound cores. [Atari Ace]

Fixed sprite wrap-around y in Irem M107 HW [Angelo Salese]

Correct clocks documented from original PCB (galpani2i) for Gal Panic
2 [Corrado Tomaselli]

Fixed a misplaced sprite bug in Fire Barrel [Angelo Salese]

Fixed sprite-sprite priorities and fixed a sprite sticking bug on game
over screen in Fire Barrel [Angelo Salese, David Haywood]

Fixed up Maze Invaders inputs, adding notes (Fixed MT#4144).  Fixed up
Dip Locations to match open/closed states shown in service modes for
the centiped.c driver.  [Tafoid]

Fixed an un-inited bankswitch problem in the Seibu Audio driver, gives
preliminary working sound in Denjin Makai [Angelo Salese]

missile.c: Corrected Missile Attack ROM locations and added PROMs to
Super Missile Attack [Kevin Eshbach]

scobra.c: Added Super Cobra and Lost Tomb DIP switch locations
[Kevin Eshbach]

Commented out a bogus irq ack in Seibu Audio HW, fixes sound for good
in Denjin Makai and removes a cheesy kludge for Denjin Makai and SD
Gundam Psycho Salamander no Kyoui [Angelo Salese]

H8: implement ldc #imm, ccr and rotr.w Rx for csplayh5 [R. Belmont]

Added a 'changed by' search to the cheat engine [Pugsy]

ics2115: Fix the timer [O. Galibert]

raiden2: Advance the cop code a little [O. Galibert]

Added key dump for scptour [Guru]

i8085 cpu Fixed loading of reg A from debugger 'do' command [Robbbert]

Add DEVICE_SELF_OWNER which allows an address map to refer to the
owner of its owning device. Useful for CPU address map handlers for
CPU's that are part of a device. [Aaron Giles]

Added sound comms in Raiden 2, giving working sound to it
[Angelo Salese]

Added receive byte function to MC6850 ACIA for MESS generic terminal
emulation. [Curt Coder]

Updated the PALs that need to be dumped for Puyo Puyo and Bloxeed
[Kevin Eshbach]

vsnes.c: Corrected the Vs. Super Mario Bros (Alt) set name and added
the Vs. Castlevania ROM location [Kevin Eshbach]

Z80DART changes: [Curt Coder]
 * fixed asynchronous transmit mode
 * fixed channel A interrupt vector
 * improved logging

multfish.c update: [MetalliC]
 * full save-states support
 * changed to use timekeeper-device instead of mvram + custom code
 * now  use  timekeeper as Z80 banked RAM (verified with hardware, now
    full game stats saved on power on/off as on real machine)
 * graphics roms naming scheme changed as on Irgrosoft's hash-lists
 * Roll Fruit's always-locked-coinlock bug fixed
 * few old missing roms found and added: Fruit Cocktail 030623
    fcockt_3 Lucky Haunter 030804  lhaunt_2 Resident 040415      
    resdnt
 * all known hashes added (entertainment, lottery, etc)
 * misc cleanup

Decoded GFX roms in Seibu Cup Soccer bootleg sets [David Haywood]

Added a preliminary DMA to the Legionnaire driver, fixes some color
issues in Legionnaire and Denjin Makai [Angelo Salese]

Fixed BK3 bitplane order in Legionnaire, fixes the map screen colors
in it [Angelo Salese]

Naomi updates:
 * Added Rev. C Naomi 2 Export BIOS [The Dumping Union]
 * Fixed some rom filenames that didn't fit MAME standard [Cah4e3]

Corrected game clock for dai3wksi as verified on PCB [Guru]

Added DMA mode 0x0e in seicop.c, used by Seibu Cup Soccer, Godzilla
and SD Gundam [Angelo Salese]

Fixed sound comms in Seibu Cup Soccer sets [Angelo Salese]

Added idle skip for Ghost Eolith driver [David Haywood]

Made Zero Team and X Se Dae to boot [Angelo Salese]

Implemented a preliminary V25/V35 CPU core [Alex Jackson]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Bullet [Aaron Giles, Charles MacDonald, Chris Hardy]
Rumba Lumber [Corrado Tomaselli, David Haywood, Angelo Salese]
Deluxe Trivia ? Whiz (Edition 5)
  [Mariusz Wojcieszek, Smitdogg, The Dumping Union]
Denjin Makai [Angelo Salese, David Haywood, Tomasz Slanina]
Balloon & Balloon (BnB Arcade) [Tim Schuerewegen]
Happy Tour [Tim Schuerewegen]
Dai San Wakusei Meteor [Hau, Chack'n]



New clones added
----------------
World Class Bowling v1.4 [Brian Troha, The Dumping Union]
Ataxx (Europe) [Corrado Tomaselli]
Gals Ds - Three Dealers Casino House (bootleg?)
  [Team Europe & catSushi]
Gyruss (bootleg) [Darran]
Parodius DA! (World, set 2) [Corrado Tomaselli, The Dumping Union]
Gals Panic 2 (Italy) [Corrado Tomaselli]
Quester Special Edition (Japan) [taka-e]
Tic Tac Trivia (Vertical) [Smitdogg, The Dumping Union]
Raiden II (set 7, US Fabtek)
  [Smitdogg, The Dumping Union] (not working)



New games marked as GAME_NOT_WORKING
------------------------------------
Race On! (RO2 Ver. A) [Guru]
Crisis Zone (CSZ04 Ver. B) [Guru]
Hydro Thunder [Mr. Do]
Offroad Thunder [Tom, gamerfan, Smitdogg, The Dumping Union]
Derby Owner's Club World Edition (Rev. D) [f205v, Cah4e3]



0.140u2
-------


MAMETesters Bugs Fixed
----------------------
- 04027: [Crash/Freeze] All sets in 20pacgal.c: Game does not 
         successfully boot (Aaron Giles)
- 04111: [DIP/Input] timesold, timesold1, btlfield: Coins are not 
         reacting correctly (MCU problem) (stephh)
- 03879: [Crash/Freeze] pbst30, pbst30b, pitbossm, pitbossma: Game 
         does not boot (Mariusz Wojcieszek)



Source Changes
--------------
Fixed problems with i2cmem. Cubo CD32 games now save and load settings
properly. [Mariusz Wojcieszek]

Cleaned up many duplicate inputs and fixed others in a number of
drivers.  [Tafoid]

SDL: Support -uifont for using arbitrary TrueType fonts on Linux/BSD
builds. This takes full pathname/filename to the font, and the name 
can have styles appended as in Windows: [b] for bold, [i] for italic, 
[s] for strikethrough, and [u] for underlined.  Fonts are rendered at 
a size of 120 points and scaled down by the core, which looks superb 
on high-res displays.  (Liberation Sans that comes with most recent
distros looks really good). [R. Belmont]

   Warning: Linux/BSD builds now require SDL_ttf 2.x.  On Fedora the
   required package names are "SDL_ttf" and "SDL_ttf-devel".

tms7000: Corrected two opcodes: typo in inv_b and JPZ was wrong in
official TI document. [Gilles Fetis]

SDL: -uifont now can also look up system font families like Windows
[R. Belmont]

Take some driver_device classes that cover multiple drivers and 
split them so that each driver gets their own driver_device class.  
In most cases, these drivers got entangled because of audio/mcu code 
that was shared between multiple drivers: [Atari Ace]

 * espial/marineb/zodiak
       - common code duplicated
 * m52/m57/m58/m62/travrusa
       - common code in audio/irem.c
 * junofrst/pooyan/rallyx/rocnrope/timeplt/tutankm
       - common code in audio/timeplt.c
 * hyperspt/sbasketb/trackfld/yiear
       - common code in audio/trackfld and audio/hyprolyb.c
 * 40love/bking/buggychl/msisaac
       - common code in machine/buggychl.c

SDL: OS X support for -uifont [Tim Lindner]

SDL: Build fixes for Ubuntu, -uifont non-ASCII rendering fix
[R. Belmont, Barry Rodewald]

SDL: Mac compile warning fix [Wilbert Pol]

Added bare bones irq support to V810 CPU [Miodrag Milanovic]

Updated Naomi's M2/M3 decryption. On the fly decryption of Virtua
Striker III is now possible. [Andreas Naive]

Fixed interrupt handing in V810 core,and flag position in PCW
[Miodrag Milanovic]

SDL: add ptty (*IX/OS X) and sockets (all SDL builds) capability
[Tim Lindner, R. Belmont]

Added Button 3 to the original Yie Ar Kung-Fu boardsets.  While not
shown in manual, there is function for these buttons and the emulation
should account for this possibility. Mapping is off by default.
[Tafoid]

CPS-1 updates [Team CPS-1]:
 * Added The King of Dragons (World 910805) and set as new parent
 * Minor cleanups and fixes
 * Added Mega Man: The Power Battle (CPS1, USA 951006) and set as new
    parent
 * Fixed slammast, slammastu labels, added D-Board PALs and pcb infos
 * mercs -> mercsr1, mercsua -> mercs
 * Added Street Fighter II: The World Warrior (World 910228)
 * Added missing notes about roms sockets to megaman
 * Confirmed B-Board # for forgottnua, willowje, cawingu, fixed their
    labels where wrong and added pcb infos to video\cps1.c
 * Removed incorrect roms relationship between parent/clones in
    ffightj, ffightj1, ffightj2 and cawingj
 * Minor cleanups and fixes

Replaced smgolfb with correct dump
[D. Beneke, M. David, Smitdogg, The Dumping Union]

MESS fixes: [Miodrag Milanovic]
 * Fixed issue with image empty slot
 * Default for writeconfig is now 0 for MESS since it is not needed
    anymore
 * Fixed handling of mounted devices on hard reset
 * Unified some emuopts code, and removed ifdefs

Corrected several rom names in the Sega System32 driver.  Most notably
the correct revision for Spider-man & Golden Axe II US sets.
[The Dumping Union]

Hooked up MSM5205 sample playback routines to Rougien, disabled by
default because sample start write handler is still a mystery
[Angelo Salese]

Updated Naomi/Naomi2 M2/M3 encryption. [Andreas Naive]

Fix F4 shortcut so it explicitly labels the address as a number by
preceding it with "0x". This allows F4 to work properly, for example,
on the 68000 stepping to address a6, which also happens to be a
register name. [Aaron Giles]

More updates to Naomi/Naomi2 M2/M3 decryption. [Andreas Naive]

Added proper sample playback in Rougien [Andrew Welburn, Angelo
Salese]

Split the screen device into a separate module. Converted global video
routines into a video_manager. Moved video manager initialization
earlier in startup. [Aaron Giles]

Allowed the use of either decimal or hexadecimal values for <dataarea>
size, <rom> size, and <rom> offset in software lists. [Curt Coder]

Fixed array bounds problems found by GCC 4.5.x [qmc2, R. Belmont]

Fixed BSD compile [ElBarto]

m680x0: Many FPU and PMMU fixes and enhancements [Hans Ostermeyer]

Various device fixes/enhancements [Hans Ostermeyer]
 * mc146818: Add UTC mode, various enhancements and fixes
 * 68681: Fixes for loopback mode
 * 6840ptm: Status register update fixes
 * pic8259: IRQ semantics fixes
 * 8237dma: Added memory-to-memory transfers

CPS-3 update [Team CPS-1]:
 * Added JoJo's Venture USA bios rom CD version
 * Reordered some CPS sets per release date in mamedriv.c
 * Minor cleanups and fixes

Updated the Space Stranger overlay layout by adding the overlay for
the Upright version, which looks different to the Cocktail. 
[M.A.S.H.]

Added support for Karateco's "Super Double" to the goldnpkr driver. 
[Gerrit Volkenborn]

Improved PGM Video RAM mirroring [David Haywood]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Pac-Slot [Bicycle Repair Man, Luca Elia]
Super Double (French) [Gerrit Volkenborn]



New clones added
----------------
The King of Dragons (World 910805) [cacis, Smitdogg, The Dumping Union]
Mega Man: The Power Battle (CPS1, USA 951006) 
  [john666, gamerfan, Smitdogg, The Dumping Union]
Street Fighter II: The World Warrior (World 910228) 
  [Layne, Smitdogg, The Dumping Union]
Super Space Invaders '91 [Irongiant]
Megatouch III (9255-20-06 ROD, California version)
  [f205v, Smitdogg, The Dumping Union]
Megatouch IV (9255-40-01 ROB, Standard version)
  [Kevin Eshbach, Smitdogg, The Dumping Union]
Super Megatouch IV (9255-41-01 ROG, Standard version)
  [N. Francfort, Smitdogg, The Dumping Union]
Mortal Kombat (prototype, rev 4.0 07/14/92) [xDisciplex]
Mortal Kombat II (rev L1.1) [TerryMasters]
Buccaneer [Gerald (COY), Smitdogg, The Dumping Union]
Jungle Boy [Andrew Welburn]
Bee Storm - DoDonpachi II (ver 101) [JackC] (not working)
Sunset Riders 2 (bootleg) [f205v, Smitdogg, The Dumping Union]
Buck Rogers: Planet of Zoom (not encrypted, set 2)
  [Smitdogg, The Dumping Union]
Time Killers (v1.21) [Gnoppi, Smitdogg, The Dumping Union]
Dogyuun (test location version) [Andrew Welburn]
Pit Boss Megatouch II 9255-10-01 R0E [Smitdogg, The Dumping Union]
JoJo's Venture (USA 990108) [Layne, Smitdogg, The Dumping Union]
JoJo's Venture (USA 981202) [Layne, Smitdogg, The Dumping Union]
Moon Shuttle (US? set 2) [robcfg]



New games marked as GAME_NOT_WORKING
------------------------------------
Virtual On Oratorio Tangram M.S.B.S. ver5.66 2000 Edition [Anonymous] 
Ringout 4x4 [Anonymous] 
Inu no Osanpo [Anonymous] 
King of Route 66 [Anonymous]
Barroom Baseball (prototype) [Mariusz Wojcieszek]
Samba de Amigo ver. 2000 [Anonymous]
Derby Owner's Club 2000 [Anonymous, f205v]
Shootout Pool Medal [Anonymous]
Dream Crown [Charles MacDonald, Smitdogg, The Dumping Union]
X Tom 3D [Guru]
NeoPrint V1 [ANY]
World Kicks [The Dumping Union]
Shakatto Tambourine Cho Powerup Chu [The Dumping Union]
Dirty Pigskin Football [Cah4e3]
Outrun 2 Special Tours [Heywood Floyd, The Dumping Union]
Crazy Taxi High Roller [The Dumping Union]
Ridge Racer V Arcade Battle [Guru]
Smash Court Pro Tournament [Guru]
Funny Fruit (Version 1.13) [Luca Elia, Smitdogg, The Dumping Union]
Dragon World II (ver. 100X, Export) [Arzeno Fabrice, zozo]



0.140u1
-------


MAMETesters Bugs Fixed
----------------------
- 04096: [DIP/Input] sjryuko: Most inputs do not work (Angelo Salese)
- 02561: [Interface] Ability to choose a different name for the UI 
         font (Aaron Giles)



Source Changes
--------------
Create new class osd_interface to house OSD callbacks. Added new
module osdepend.c with default empty implementations. Changed
mame_execute() and cli_execute() to accept a reference to an
osd_interface which is provided by the caller. [Aaron Giles]

Updated SDL and Windows OSD to create an osd_interface-derived class
and moved their OSD callbacks to be members. [Aaron Giles]

Make osdmini build again. [Aaron Giles]

Discrete Sound - Added DISCRETE_XTIME_xxx logic modules.  These allow
you to do logic operations on nodes that use x_time anti-alias info. 
Added the ability to decode x_time to the DISCRETE_BIT_DECODE module. 
This means you can have an oscillator pass x_time onto a counter, get
the counter bits decoded, pass that through the new logic modules and
also have them convert the x_time to energy/anti-alaised voltage. 
Updated Donkey Kong Jr. to use these new modules. [Derrick Renaud]

Convert rendfont to C++. [Aaron Giles]

[SDL Debugger] Removed an unnecessary assert and brought focus back to
the main debugger window on startup. [Andrew Gardner]

Added support for OSD-generated fonts. The OSD is queried first to see
if it owns a given font (based on the name), and if it does, it is
responsible for generating bitmaps on the fly as characters are
requested. [Aaron Giles]

Added new option -uifont to specify the UI font. It can be set to a
filename, in which case a BDF font will be loaded. It can also be set
to a font name (assuming the OSD support is present), in which case
the OSD font by that name is used. The default value is 'default'
which can be used by the OSD to substitute a default font or by the
OSD, which will default to ui.bdf as before. In all cases, it falls
back to the built-in font by default if none of the previous options
works. [Aaron Giles]

  NOTE: On Windows, the OSD will default to Tahoma as the font name. 
  Also on Windows, font names can be specified with [b] to indicate 
  bold or [i] to indicate italic.

Use "default" font for artwork elements as well. Make UI backgrounds a
bit more opaque. Fix crash when passing NULL filename to OSD code.
[Aaron Giles]

Fixed and verified with Test Mode the few System 18 bootlegs located
in the system16.c driver for Inputs and Dip Switches. [Tafoid]

Discrete Updates [Derrick Renaud] 
 * Removed old DISCRETE_74LS624 code and replaced it with new 74LS629 
    based code. Updated Mario to use new DISCRETE_74LS624 and 
    DISCRETE_XTIME_logic modules.

C++-ified the cheat engine. [Aaron Giles]

Naomi updates:
 * Redumped Kick 4 Cash to fix bad dumps [f205v] 
 * Completed dump of Neo Geo Battle Coliseum [Guru]

i286.c: Moved call of i80286_urinit to CPU_INIT. Fixed display of PC
in the debugger.  [Wilbert Pol]

M6805: Add extremely preliminary 68HC05EG support. [R. Belmont]

i80186/i80286: Fixed bound instruction restart when prefixed with a
segment.  [Wilbert Pol]

i286.c: Partially implemented protected mode. Fixed verw, verr, lar,
lsl, and arpl instructions.  [Wilbert Pol]

Atari Cops'n Robbers Updates [Derrick Renaud]
 * Converted controls to Positional type. 
 * Started Discrete sounds. (Motor 2 & 3, Crash sounds implemented)
 * Added Motor 0 & 1, and Zings sounds. Zings sound not hooked up until 
    address for Fires & Zings is found.

Optimized speed of DISCRETE_DAC_R1 [Derrick Renaud]

Converted the expression engine to C++, did the usual cleanup.
[Aaron Giles]

Neo Geo Changes: [Johnboy] 
 * maglord/maglordh - Mixed up crc's, fixed 
 * flipshot - Added correct p1
 * kotm2 - Tagged MVS AND AES VERSION
 * miexchng - Added correct c3/c4
 * Updated game pcb info
 * Continued to document mask ROM types

Fixed crash in cubocd32/akiko [Mariusz Wojcieszek]

Atari Cops'n Robbers Updates [Derrick Renaud] 

Fixed operation of DISCRETE_COUNTER_7492 [Derrick Renaud]

kofxi: Redumped mask ROMs due to error in TSOP70 adaptor [Cah4e3]

Added UTF-8 constants for cursor key arrows, and accented characters
on the Swedish/Finnish keyboard layout. [Curt Coder]

Removed deprecat.h usage and rewritten irq routines in DJ Boy
[Angelo Salese]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Pit Boss Megatouch II
  [Mariusz Wojcieszek, f205v, Smitdogg, The Dumping Union]
Royal Card (TAB original) [Roberto Fresca]
Janputer Special
  [gamerfan, ranger_lennier, Smitdogg, The Dumping Union]
Bygone
  [Cananas, Mr. Do, S. Brown, J. Bijl,ranger_lennier, F. Xerri, Gor, 
   Kevin Eshbach, Smitdogg, Tormod, Guru, Tomasz Slanina, 
   The Dumping Union]


New clones added
----------------
Mega Double Poker (conversion kit, set 2) [Roberto Fresca]
Mahjong Neruton Haikujiradan (Japan, Rev. A?)
  [Smitdogg, The Dumping Union]


New games marked as GAME_NOT_WORKING
------------------------------------
Odeon Twister 2 [XoreX, Mariusz Wojcieszek]
The King of Fighters XI (Cah4e3) [rbelmont]
Shooting Star [Tomasz Slanina]
Zero Gunner 2 [The Dumping Union]
